Brivio API reference
Legal

Update a court case (partial). A terminal status sets closed_at when absent; OPEN clears it. Honours Idempotency-Key. (scope: legal:write)

PATCH
/legal/court-cases/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Court case id

Formatuuid

Request Body

application/json
  1. body

Partial: only the fields sent are changed.

case_number?string

e.g. 12345/3/2026

Length3 <= length <= 60
court?string
Lengthlength <= 255
subject?string
Lengthlength <= 500
materia?string
Lengthlength <= 120
stage?string
Lengthlength <= 120
status?string
Value in"OPEN""SUSPENDED""WON""LOST""SETTLED""CLOSED"
role?string
Value in"RECLAMANT""PARAT""CREDITOR""DEBITOR""INTERVENIENT""ALTA_CALITATE"
opposing_party?string
Lengthlength <= 255
contact_id?string

A contact of this organization

Formatuuid
invoice_id?string

An invoice of this organization

Formatuuid
contract_id?string

A contract of this organization

Formatuuid
claim_amount?number
Range0 <= value
awarded_amount?number
Range0 <= value
recovered_amount?number
Range0 <= value
outcome?string
Lengthlength <= 500
claim_currency?string
Length3 <= length <= 3
lawyer_name?string
Lengthlength <= 255
opened_at?string
Formatdate
closed_at?string
Formatdate
next_hearing_at?string
Formatdate
notes?string
Lengthlength <= 8000

Response Body

OK

application/json
  1. response
data*
error*null
curl -X PATCH "https://example.com/legal/court-cases/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "case_number": "string",    "court": "string",    "subject": "string",    "materia": "string",    "stage": "string",    "status": "OPEN",    "role": "RECLAMANT",    "opposing_party": "string",    "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",    "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",    "contract_id": "9aafc1a8-e497-46c9-ba0b-bd5b03c353e4",    "claim_amount": "string",    "awarded_amount": "string",    "recovered_amount": "string",    "outcome": "string",    "claim_currency": "string",    "lawyer_name": "string",    "opened_at": "2019-08-24",    "closed_at": "2019-08-24",    "next_hearing_at": "2019-08-24",    "notes": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}